using DevExpress.Persistent.Base;
using DevExpress.Xpo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nuvolar.Module.BusinessObjects
{
    [DefaultClassOptions]
    [DevExpress.Persistent.Base.NavigationItemAttribute("Cost Planner")]
    [DevExpress.Persistent.Base.CreatableItemAttribute(false)]
    public partial class CostPlanner : DevExpress.Persistent.BaseImpl.BaseObject
    {
        private Nuvolar.Module.CustomersFrom _customersFrom;
        private System.String _shortName;
        public CostPlanner(DevExpress.Xpo.Session session)
          : base(session)
        {
        }
        public Nuvolar.Module.CustomersFrom CustomersFrom
        {
            get
            {
                return _customersFrom;
            }
            set
            {
                SetPropertyValue("CustomersFrom", ref _customersFrom, value);
            }
        }
        public System.String ShortName
        {
            get
            {
                return _shortName;
            }
            set
            {
                SetPropertyValue("ShortName", ref _shortName, value);
            }
        }
        [DevExpress.Xpo.AssociationAttribute("CostPlannerRows-CostPlanner")]
        [DevExpress.Xpo.AggregatedAttribute]
        public XPCollection<CostPlannerRows> CostPlannerRows
        {
            get
            {
                return GetCollection<Nuvolar.Module.BusinessObjects.CostPlannerRows>("CostPlannerRows");
            }
        }
    }
}
